# Performance Schema setup\_actors Table

The `setup_actors` table contains information for determining whether monitoring should be enabled for new client connection threads.

The default size is 100 rows, which can be changed by modifying the [performance\_schema\_setup\_actors\_size](https://mariadb.com/docs/server/reference/system-tables/performance-schema-system-variables#performance_schema_setup_actors_size) system variable at server startup.

If a row in the table matches a new foreground thread's client and host, the matching `INSTRUMENTED` column in the [threads](https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-threads-table) table is set to either `YES` or`NO`, which allows selective application of instrumenting by host, by user, or combination thereof.

| Column | Description                                                           |
| ------ | --------------------------------------------------------------------- |
| HOST   | Host name, either a literal, or the % wildcard representing any host. |
| USER   | User name, either a literal or the % wildcard representing any name.  |
| ROLE   | Unused                                                                |

Initially, any user and host is matched:

```sql
SELECT * FROM performance_schema.setup_actors;
+------+------+------+
| HOST | USER | ROLE |
+------+------+------+
| %    | %    | %    |
+------+------+------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-setup_actors-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
